import os

import testinfra.utils.ansible_runner

import time


testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(os.environ["MOLECULE_INVENTORY_FILE"]).get_hosts("db0-default")


def test_postgresql_check_shutdown_primary(host):
    ''' Shutdown the primary server '''

    s = host.ansible("command", "systemctl stop postgresql", become=True, check=False)
    assert s['changed']

    time.sleep(40)

    s = host.socket("tcp://127.0.0.1:5432")
    assert not s.is_listening
